

# CreateDomain
<a name="API_connect-cases_CreateDomain"></a>

Creates a domain, which is a container for all case data, such as cases, fields, templates and layouts. Each Amazon Connect instance can be associated with only one Cases domain.

**Important**  
This will not associate your connect instance to Cases domain. Instead, use the Amazon Connect [CreateIntegrationAssociation](https://docs.aws.amazon.com/connect/latest/APIReference/API_CreateIntegrationAssociation.html) API. You need specific IAM permissions to successfully associate the Cases domain. For more information, see [Onboard to Cases](https://docs.aws.amazon.com/connect/latest/adminguide/required-permissions-iam-cases.html#onboard-cases-iam).

## Request Syntax
<a name="API_connect-cases_CreateDomain_RequestSyntax"></a>

```
POST /domains HTTP/1.1
Content-type: application/json

{
   "name": "string"
}
```

## URI Request Parameters
<a name="API_connect-cases_CreateDomain_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-cases_CreateDomain_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [name](#API_connect-cases_CreateDomain_RequestSyntax) **   <a name="connect-connect-cases_CreateDomain-request-name"></a>
The name for your Cases domain. It must be unique for your AWS account.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `.*[\S]`   
Required: Yes

## Response Syntax
<a name="API_connect-cases_CreateDomain_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "domainArn": "string",
   "domainId": "string",
   "domainStatus": "string"
}
```

## Response Elements
<a name="API_connect-cases_CreateDomain_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [domainArn](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainArn"></a>
The Amazon Resource Name (ARN) for the Cases domain.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [domainId](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainId"></a>
The unique identifier of the Cases domain.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 500.

 ** [domainStatus](#API_connect-cases_CreateDomain_ResponseSyntax) **   <a name="connect-connect-cases_CreateDomain-response-domainStatus"></a>
The status of the domain.  
Type: String  
Valid Values: `Active | CreationInProgress | CreationFailed` 

## Errors
<a name="API_connect-cases_CreateDomain_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request. See the accompanying error message for details.  
HTTP Status Code: 409

 ** InternalServerException **   
We couldn't process your request because of an issue with the server. Try again later.    
 ** retryAfterSeconds **   
Advice to clients on when the call can be safely retried.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The service quota has been exceeded. For a list of service quotas, see [Amazon Connect Service Quotas](https://docs.aws.amazon.com/connect/latest/adminguide/amazon-connect-service-limits.html) in the *Amazon Connect Administrator Guide*.  
HTTP Status Code: 402

 ** ThrottlingException **   
The rate has been exceeded for this API. Please try again after a few minutes.  
HTTP Status Code: 429

 ** ValidationException **   
The request isn't valid. Check the syntax and try again.  
HTTP Status Code: 400

## Examples
<a name="API_connect-cases_CreateDomain_Examples"></a>

### Request and Response example
<a name="API_connect-cases_CreateDomain_Example_1"></a>

This example illustrates one usage of CreateDomain.

```
{
  "name": "demo-amazon-cases-domain"
 }
```

```
{
  "domainArn": "arn:aws:cases:us-west-2:[account_id]:domain/[domain_id]",
  "domainId": "[domain_id]",
  "domainStatus": "CreationInProgress"
}
```

## See Also
<a name="API_connect-cases_CreateDomain_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcases-2022-10-03/CreateDomain) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcases-2022-10-03/CreateDomain) 